BYACC(1)

NAME
bYacc - an LALR(1) parser generator

SYNOPSIS
byacc [ -dlrtv ] [ -b prefix ] filename

DESCRIPTION
byacc reads the grammar specification in the file filename and generates an LR(1) parser for it. The parsers consist of a set of LALR(1) parsing tables and a driver routine written in the C programming language. byacc normally writes the parse tables and the driver routine to the file y.tab.c.

The following options are available:

    -b prefix
        The -b option changes the prefix prepended to the output file names to the string denoted by prefix. The default prefix is the character y.

    -d  The -d option causes the header file y.tab.h to be written.

    -l  If the -l option is not specified, byacc will insert The generated code to the user's original code. If the -l option is specified, byacc will not insert the

    -Q[y|n]
        `-Qy' instructs byacc to label the output file with the byacc version, using an #ident statement of the form

        #ident "byacc: Berkeley Yacc (Cygnus)"

        `-Qn' explicitly specifies that no such #ident statement should be included; this is the default.

    -r  The -r option causes byacc to produce separate files for code and tables. The code file is named y.code.c, and the tables file is named y.tab.c.

    -t  The -t option changes the preprocessor directives generated by byacc so that debugging statements will be incorporated in the compiled code.

    -V  Display version information for byacc on standard error.

    -v  The -v option causes a human-readable description of the generated parser to be written to the file y.output.

If the environment variable TMPDIR is set, the string denoted by TMPDIR will be used as the name of the directory where the temporary files are created.

FILES
y.code.c
y.tab.c
y.tab.h
y.output
/tmp/yacc.aXXXXXX
/tmp/yacc.tXXXXXX
/tmp/yacc.uXXXXXX

DIAGNOSTICS
If there are rules that are never reduced, the number of such rules is reported on standard error. If there are any LALR(1) conflicts, the number of conflicts is reported on standard error.